[P055]Create export task by query

post
https://connect.patsnap.com/patent-search/export/V2
Try in Sandbox

Allows to search our global patent repository using the standard PatSnap search query and retrieve the resulting data in bulk. Query syntax can be as simple as a list of keywords or as complex as a 2000 character boolean query. To find more information about PatSnap search syntax, refer to https://analytics.patsnap.com/search_helper. Allows to select what patent fields should be returned in response to the query and, thus, allows control over the size of the response payload to help optimize performance, fields that are allowed to be exported, the fields and field levels that are allowed to be exported (different levels of fields have different calling fees). please link the export instructions.

1. For full_text export type, only the following four fields PN, ABST, CLMS, DESC are supported. The field DESC is only supported by the full_text export type. The field CLMS is only supported by the full_text/pdf export type. Result of the full_text export type is a ZIP file including some xml files named by PN.

2.The size of the resulting set is limited to the top 100k most relevant patents.

3.This API deducts fees according to the actual amount of exported patents, please pay attention to the setting of limit parameter.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
collapse_by
stringPBD

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

collapse_order
stringLATEST
When collapse_type="APNO", and collapse_by="APD" or "PBD", the collapse_order can be set as "OLDEST" or "LATEST", means keep the patent date of oldest or latest one
collapse_order_authority
array[ "CN", "US", "EP", "JP", "KR" ]

Setting the patent collapse ordering rule that is valid only if collapse_by is AUTHORITY

Sets the order of patent collapse according to the input authorities priority list, valid only if collapse_by is AUTHORITY

collapse_type
stringDOCDB

"ALL" or Null value means no collapse;

"APNO" means collapse according to application number;

"DOCDB" means collapse according to simple family;

"INPADOC" means collapse according to inpadoc family;

"EXTEND" means collapse according to patsnap family

query_text
Required
stringTTL:car
Patent search query, detailed syntax reference can be found at https://analytics.patsnap.com/search_helper
fields
Required
stringPN,APNO
Fields that are allowed to be exported. See export instructions for details. Separate multiple export fields in English,.
export_type
Required
stringcsv
File formats that are allowed to be exported. You can choose json, csv, xls, pdf, full_text, xml. Only 1 can be selected.

For full_text export type, only the following four fields PN, ABST, CLMS, DESC are supported. The field DESC is only supported by the full_text export type. The field CLMS is only supported by the full_text/pdf export type. Result of the full_text export type is a ZIP file including some xml files named by PN.

rows
Required
integer<int32>100
rows >= 1 , Single maximum export (csv/xls/json/xml: 100k , pdf/full_text: 1k)
apdt_from
string20110101
Application date start. Format: 'yyyyMMdd', or * means time is unlimited
apdt_to
string20180619
Application date end. Format: 'yyyyMMdd', or * means time is unlimited
pbdt_from
string20110101
Publication date start. Format: 'yyyyMMdd', or * means time is unlimited
pbdt_to
string20180619
Publication date end. Format: 'yyyyMMdd', or * means time is unlimited
lang
stringen
Select the language , the default language is en, you can choose cn, en, jp, de, fr, kr.
trans_lang
stringen
Select the translation language , the default language is en, you can choose cn, en, jp.
offset
integer<int32>-
0 <= rows + offset <= 100000, default is 0 If you want to get patents that are ranked lower than 100, you can set offset=100
stemming
integer<int32>-

Whether to turn on the stemming function, 1: turn on; 0: turn off. Off by default

Note:

Stemming ON will search for the original word and expand the search to consider singular, plural, and tense variations e.g. a search for "come" will expand to "comes", "came", "coming" and so on.

Stemming OFF will only search for exact matches of the keywords entered.

The use of wildcards in keywords within a search query will impact the effect of stemming.

Stemming ON only supports English words. Stemming does not apply to Assignees, Inventors, or any other person-related fields.

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
count
integer<int32>24
Export number of patents
task_id
stringb4bdae6b4a65432d91f25b5c52bdfd80
Task ID is valid for 24 hours
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "count": 24,
    "task_id": "b4bdae6b4a65432d91f25b5c52bdfd80"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!
67200007Exceeded the call limit, call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms